Subject: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Ramon Diaz-Uriarte <[email-masked]>
Date: Thu, 07 Dec 2023 11:28:00 +0100

For what is worth, xwidget-webkit-browse-url does not make Emacs 30 (30.0.50) or 29 (29.1.90) abort on my system (Debian) (I just built both a few minutes ago after freshly checking the git repos).

The webkitgtk packages I have are:

libwebkit2gtk-4.0-37:amd64                                  2.42.2-1
libwebkit2gtk-4.0-dev:amd64                                 2.42.2-1
libwebkit2gtk-4.0-doc                                       2.42.2-1
libwebkit2gtk-4.1-0:amd64                                   2.42.2-1

In case it could matter, I am using XMonad as window manager. When 
`M-x xwidget-webkit-browse-url` and I enter the URL at the prompt and press enter, on the terminal from which I did `emacs -Q` I see

-------------------
Overriding existing handler for signal 10. Set JSC_SIGNAL_FOR_GC if you want WebKit to use a different signal
libEGL warning: failed to get driver name for fd -1

libEGL warning: MESA-LOADER: failed to retrieve device information

libEGL warning: failed to get driver name for fd -1
-------------------

But everything seems to work normally.

Best,

Ramon Diaz-Uriarte